Page Summary
-
The
businesscommunications.googleapis.comservice is used for Google Business Communications APIs, with client libraries recommended for interaction. -
A Discovery Document is available to describe the REST API and its capabilities.
-
The base URL for the service endpoint is
https://businesscommunications.googleapis.com. -
The API provides various REST resources including
analytics.agentPerformances,brands,brands.agents,brands.agents.integrations,partners,regions,surveyQuestions, andtesters, each with specific methods for managing related data and functionalities. -
The
brands.agents.deletemethod is deprecated, indicating that agent deletion is no longer supported.
Service: businesscommunications.googleapis.com
The following sections describe the service endpoint and other information you'll need to make requests to this service. For reference, see the Google-provided client libraries.
Service endpoint
A service endpoint is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:
https://businesscommunications.googleapis.com
REST Resource: v1.analytics.agentPerformances
| Methods | |
|---|---|
list |
GET /v1/analytics/agentPerformances Lists agent performance data accessible to the caller. |
REST Resource: v1.brands
| Methods | |
|---|---|
create |
POST /v1/brands Creates a new brand. |
delete |
DELETE /v1/{name=brands/*} Deletes a brand. |
get |
GET /v1/{name=brands/*} Gets information about a brand. |
list |
GET /v1/brands Lists all the brands accessible to the user making the request. |
patch |
PATCH /v1/{brand.name=brands/*} Updates information about a brand. |
REST Resource: v1.brands.agents
| Methods | |
|---|---|
create |
POST /v1/{parent=brands/*}/agents Creates a new agent to represent a brand. |
delete |
DELETE /v1/{name=brands/*/agents/*} Deprecated: agent deletion is deprecated. |
get |
GET /v1/{name=brands/*/agents/*} Get information about an agent. |
getLaunch |
GET /v1/{name=brands/*/agents/*/launch} Gets the launch information for an agent. |
getVerification |
GET /v1/{name=brands/*/agents/*/verification} Gets the verification information for an agent. |
list |
GET /v1/{parent=brands/*}/agents Lists all the agents associated with a brand. |
patch |
PATCH /v1/{agent.name=brands/*/agents/*} Updates information about an agent. |
requestLaunch |
POST /v1/{name=brands/*/agents/*}:requestLaunch Begins the launch process for an agent. |
requestVerification |
POST /v1/{name=brands/*/agents/*}:requestVerification Submits business verification information for an agent. |
updateLaunch |
PATCH /v1/{agentLaunch.name=brands/*/agents/*/launch} Updates the launch information for an agent. |
updateVerification |
PATCH /v1/{agentVerification.name=brands/*/agents/*/verification} Updates the verification state for an agent. |
REST Resource: v1.brands.agents.integrations
| Methods | |
|---|---|
create |
POST /v1/{parent=brands/*/agents/*}/integrations Create an integration. |
delete |
DELETE /v1/{name=brands/*/agents/*/integrations/*} Delete an integration. |
get |
GET /v1/{name=brands/*/agents/*/integrations/*} Get an integration. |
list |
GET /v1/{parent=brands/*/agents/*}/integrations List integrations. |
patch |
PATCH /v1/{integration.name=brands/*/agents/*/integrations/*} Update an integration. |
REST Resource: v1.partners
| Methods | |
|---|---|
get |
GET /v1/{name=partners/*} Get the information about the partner. |
patch |
PATCH /v1/{partner.name=partners/*} Updates the information for a partner. |
REST Resource: v1.regions
| Methods | |
|---|---|
list |
GET /v1/regions Lists all RCS for Business regions. |
REST Resource: v1.testers
| Methods | |
|---|---|
create |
POST /v1/testers Sends an invite to a phone number to be added as a tester. |
delete |
DELETE /v1/{name=testers/*} Deletes a tester device. |
get |
GET /v1/{name=testers/*} Gets the invite status of a tester device. |
list |
GET /v1/testers List the invite statuses of tester devices. |